# ava is not available in Fedora.
%global enable_tests 0
%global module_name node-status-codes
%global commit0 6014eac021c0b9dac389d43b98360d1c13c063a6
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           nodejs-%{module_name}
Version:        1.0.0
Release:        1%{?dist}
Summary:        Node.js http.STATUS_CODES ponyfill

License:        MIT
URL:            https://github.com/sindresorhus/node-status-codes
Source0:        https://github.com/sindresorhus/%{module_name}/archive/%{commit0}.tar.gz#/%{module_name}-%{shortcommit0}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(ava)
%endif

%description
The built-in list of HTTP status codes differ between Node.js versions, so
this is a good way to make sure it's consistent. 

%prep
%setup -q -n %{module_name}-%{commit0}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -p package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test.js
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Jul 31 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.0-1
- Initial packaging

